All of lore.kernel.org
 help / color / mirror / Atom feed
From: Zhao Gongyi <zhaogongyi@huawei.com>
To: <linux-doc@vger.kernel.org>, <linux-kernel@vger.kernel.org>,
	<linux-mm@kvack.org>, <linux-kselftest@vger.kernel.org>
Cc: <akinobu.mita@gmail.com>, <corbet@lwn.net>, <david@redhat.com>,
	<osalvador@suse.de>, <shuah@kernel.org>, <zhaogongyi@huawei.com>
Subject: [PATCH -next v5 2/4] selftests/memory-hotplug: Restore memory before exit
Date: Fri, 30 Sep 2022 14:35:25 +0800	[thread overview]
Message-ID: <20220930063527.108389-3-zhaogongyi@huawei.com> (raw)
In-Reply-To: <20220930063527.108389-1-zhaogongyi@huawei.com>

Some momory will be left in offline state when calling
offline_memory_expect_fail() failed. Restore it before exit.

Signed-off-by: Zhao Gongyi <zhaogongyi@huawei.com>
---
 .../memory-hotplug/mem-on-off-test.sh         | 21 ++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index 1d87611a7d52..91a7457616bb 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -134,6 +134,16 @@ offline_memory_expect_fail()
 	return 0
 }

+online_all_offline_memory()
+{
+	for memory in `hotpluggable_offline_memory`; do
+		if ! online_memory_expect_success $memory; then
+			echo "$FUNCNAME $memory: unexpected fail" >&2
+			retval=1
+		fi
+	done
+}
+
 error=-12
 priority=0
 # Run with default of ratio=2 for Kselftest run
@@ -275,11 +285,7 @@ done
 # Online all hot-pluggable memory
 #
 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
-for memory in `hotpluggable_offline_memory`; do
-	if ! online_memory_expect_success $memory; then
-		retval=1
-	fi
-done
+online_all_offline_memory

 #
 # Test memory hot-remove error handling (online => offline)
@@ -296,4 +302,9 @@ done
 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_OFFLINE/error
 /sbin/modprobe -q -r memory-notifier-error-inject

+#
+# Restore memory before exit
+#
+online_all_offline_memory
+
 exit $retval
--
2.17.1


  parent reply	other threads:[~2022-09-30  6:39 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-30  6:35 [PATCH -next v5 0/4] Optimize and bugfix for memory-hotplug Zhao Gongyi
2022-09-30  6:35 ` [PATCH -next v5 1/4] selftests/memory-hotplug: Add checking after online or offline Zhao Gongyi
2022-09-30  8:32   ` David Hildenbrand
2022-09-30  6:35 ` Zhao Gongyi [this message]
2022-09-30  8:33   ` [PATCH -next v5 2/4] selftests/memory-hotplug: Restore memory before exit David Hildenbrand
2022-09-30  6:35 ` [PATCH -next v5 3/4] selftests/memory-hotplug: Adjust log info for maintainability Zhao Gongyi
2022-09-30  8:35   ` David Hildenbrand
2022-09-30  6:35 ` [PATCH -next v5 4/4] docs: notifier-error-inject: Correct test's name Zhao Gongyi
2022-09-30  8:52 [PATCH -next v5 2/4] selftests/memory-hotplug: Restore memory before exit zhaogongyi
2022-09-30  8:56 ` David Hildenbrand
2022-10-08  1:40 zhaogongyi
2022-10-10  6:54 ` David Hildenbrand
2022-10-10 17:02   ` Shuah Khan
2022-10-11  1:48 zhaogongyi

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220930063527.108389-3-zhaogongyi@huawei.com \
    --to=zhaogongyi@huawei.com \
    --cc=akinobu.mita@gmail.com \
    --cc=corbet@lwn.net \
    --cc=david@redhat.com \
    --cc=linux-doc@vger.kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=linux-mm@kvack.org \
    --cc=osalvador@suse.de \
    --cc=shuah@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.